/*
SQLite Backup
Database: main
Backup Time: 2018-07-05 10:56:57
*/

DROP TABLE IF EXISTS "main"."TElencoRicevuta";
DROP TABLE IF EXISTS "main"."TRicevutaNuova";
DROP TABLE IF EXISTS "main"."TTipoCalibro";
DROP TABLE IF EXISTS "main"."sqlite_sequence";
CREATE TABLE [TElencoRicevuta](
    [IdRecevuta] INTEGER PRIMARY KEY ASC AUTOINCREMENT, 
    [DescrizioneRicevuta] TEXT, 
    [ImportoRicevuta] FLOAT(7, 2));UPDATE "main"."sqlite_sequence" SET seq = 32 WHERE name = 'TElencoRicevuta';
CREATE TABLE "TRicevutaNuova" (
  "IdRicevuta" INTEGER PRIMARY KEY AUTOINCREMENT,
  "NRicevuta" INTEGER,
  "AnnoRicevuta" INTEGER,
  "DataRicevuta" TEXT,
  "IdTesserato" INTEGER,
  "Cognome" TEXT,
  "Nome" TEXT,
  "TesseraN" TEXT,
  "Descrizione" TEXT,
  "Prezzo" FLOAT(5,2),
  "Quantita" INTEGER,
  "Calibro" TEXT,
  "Imponibile" FLOAT(7,2),
  "BigDte" INTEGER,
  "Convezione" integer
);UPDATE "main"."sqlite_sequence" SET seq = 969 WHERE name = 'TRicevutaNuova';
CREATE TABLE [TTipoCalibro](
  [IdCalibro] INTEGER PRIMARY KEY ASC AUTOINCREMENT, 
  [TipoCalibro] TEXT, 
  [Descrizione] TEXT, 
  [Prezzo] FLOAT(5, 2));UPDATE "main"."sqlite_sequence" SET seq = 16 WHERE name = 'TTipoCalibro';
CREATE TABLE sqlite_sequence(name,seq);
BEGIN;
DELETE FROM "main"."TElencoRicevuta";
INSERT INTO "main"."TElencoRicevuta" ("IdRecevuta","DescrizioneRicevuta","ImportoRicevuta") VALUES (1, '1a)Obbligati', 13.0),(2, '1b)Frequentatore PROMOZIONALE', 44.0),(3, '2)quota iscritti Volontari', 40.0),(4, '3a)quota Tiratori MASTER - SENIOR', 25.0),(5, '3b)quota iscritti UITS Frequentatatori', 25.0),(6, '8a)proventi Corso di Tiro Servizio Armato', 20.0),(7, '8b)proventi Corso di Tiro Permesso Porto d''Armi', 20.0),(8, '8c)proventi Corso di Tiro Abilità Tecnica per Volontari', 20.0),(9, '12)Cessione Cartucce', 0.0),(10, '13)proventi vari(linea,bersagli,cuffie,ecc)', 5.0),(11, '14)Certificato ', 90.0),(12, '17)Diritti di Segreteria', 2.0),(13, '18) Noleggio Armi a Fuoco e Aria Compressa', 5.0),(16, '19) Attestato', 35.0),(17, '20) Convenzione FIDELITAS', 10.0),(18, '21) Convenzione SICURITALIA', 10.0),(19, '22) Convenzione GSA', 10.0),(20, '23) PARCO MONTI SIMBRUINI', 10.0),(21, '24) POLIZIA LOCALE SUBIACO', 10.0),(22, '25) POLIZIA LOCALE BELLEGRA', 0.0),(23, '26) CITTà METROPOLITANA', 0.0),(24, '3c) TIRATORI Junior', 10.0),(25, '3d) TIRATORI Ragazzi', 15.0),(26, '3e) TIRATORI Allievi', 10.0),(27, '3f) TIRATORI Giovanissimi', 10.0),(28, '27) TESS.PROMOZIONALE UITS', 4.0),(29, '28) CESSIONE ARMA', 100.0),(31, '29) proventi GARA', 16.0);
COMMIT;
BEGIN;
DELETE FROM "main"."TRicevutaNuova";
COMMIT;
BEGIN;
DELETE FROM "main"."TTipoCalibro";
INSERT INTO "main"."TTipoCalibro" ("IdCalibro","TipoCalibro","Descrizione","Prezzo") VALUES (1, '9X21', '9X21', 0.3),(2, '38 SPECIAL', '38 SPECIAL', 0.3),(3, '9 CORTO 380', '9 CORTO', 0.3),(4, '9 LUGER', '9 LUGER', 0.3),(5, '40 S&W', '40 S&W', 0.3),(6, '45 ACP', '45 ACP', 0.34),(7, '7,65', '7,65', 0.3),(8, '6,35', '6,35', 0.3),(9, '32 WAD CUTTER', '32 WAD CUTTER', 0.3),(10, 12, 12, 1.5),(11, '22 LR TT', '22 TT SPORT', 0.1),(12, '22 LR RWS', '22 RWS', 0.16),(13, '22 SHORT', '22 SHORT', 0.1),(14, '22 LR CCI MINI-MAG', '22 CCI', 0.15),(15, '9X18', NULL, 0.3),(16, '22 LR GECO', NULL, 0.1);
COMMIT;
BEGIN;
DELETE FROM "main"."sqlite_sequence";
INSERT INTO "main"."sqlite_sequence" ("name","seq") VALUES ('TElencoRicevuta', 32),('TTipoCalibro', 16),('TRicevutaNuova', 969);
COMMIT;
